Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Interface MessageCacheMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  MessageCache

public interface MessageCacheMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`long` | `getCacheHits()` Gets the cacheHits
`long` | `getCacheMisses()` Gets the cacheMisses
`javax.management.ObjectName` | `getCacheStore()` The `getCacheStore` method
`long` | `getCurrentMemoryUsage()` Gets the CurrentMemoryUsage
`int` | `getHardRefCacheSize()` Gets the hardRefCacheSize
`long` | `getHighMemoryMark()` Gets the highMemoryMark
`MessageCache` | `getInstance()` The `getInstance` method
`boolean` | `getMakeSoftReferences()` Gets whether to make soft references
`int` | `getMaximumHard()` Gets the maximum number of hard messages
`long` | `getMaxMemoryMark()` Gets the maxMemoryMark
`int` | `getMinimumHard()` Gets the minimum number of hard messages
`long` | `getSoftenAtLeastEveryMillis()` Gets the maximum length between softening checks
`long` | `getSoftenedSize()` The `getSoftenedSize` method
`long` | `getSoftenNoMoreOftenThanMillis()` Gets the minimum length between softening checks
`long` | `getSoftenWaitMillis()` Gets the length of time to wait before checking whether we should soften
`int` | `getSoftRefCacheSize()` Gets the softRefCacheSize
`int` | `getTotalCacheSize()` Gets the totalCacheSize
`void` | `setCacheStore(javax.management.ObjectName cacheStoreName)`
`void` | `setHighMemoryMark(long highMemoryMark)` Sets the highMemoryMark
`void` | `setMakeSoftReferences(boolean makeSoftReferences)` Sets whether to make soft references
`void` | `setMaximumHard(int maximumHard)` Sets the maximum number of hard messages
`void` | `setMaxMemoryMark(long maxMemoryMark)` Sets the maxMemoryMark
`void` | `setMinimumHard(int minimumHard)` Sets the minimum number of hard messages
`void` | `setSoftenAtLeastEveryMillis(long millis)` Sets the minimum length between softening checks
`void` | `setSoftenNoMoreOftenThanMillis(long millis)` Sets the minimum length between softening checks
`void` | `setSoftenWaitMillis(long millis)` Sets the length of time to wait before checking whether we should soften

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getInstance

    public MessageCache getInstance()

  The `getInstance` method

  Returns:
    a `MessageCache` value

### getHardRefCacheSize

    public int getHardRefCacheSize()

  Gets the hardRefCacheSize

  Returns:
    Returns a int

### getSoftenedSize

    public long getSoftenedSize()

  The `getSoftenedSize` method

  Returns:
    a `long` value

### getSoftRefCacheSize

    public int getSoftRefCacheSize()

  Gets the softRefCacheSize

  Returns:
    Returns a int

### getTotalCacheSize

    public int getTotalCacheSize()

  Gets the totalCacheSize

  Returns:
    Returns a int

### getCacheMisses

    public long getCacheMisses()

  Gets the cacheMisses

  Returns:
    Returns a int

### getCacheHits

    public long getCacheHits()

  Gets the cacheHits

  Returns:
    Returns a long

### getMakeSoftReferences

    public boolean getMakeSoftReferences()

  Gets whether to make soft references

  Returns:
    true when making soft references

### setMakeSoftReferences

    public void setMakeSoftReferences(boolean makeSoftReferences)

  Sets whether to make soft references

### getMinimumHard

    public int getMinimumHard()

  Gets the minimum number of hard messages

  Returns:
    the minimum number of hard messages

### setMinimumHard

    public void setMinimumHard(int minimumHard)

  Sets the minimum number of hard messages

  Parameters:
    `minimumHard` - the minimum number of hard messages

### getMaximumHard

    public int getMaximumHard()

  Gets the maximum number of hard messages

  Returns:
    the minimum number of hard messages

### setMaximumHard

    public void setMaximumHard(int maximumHard)

  Sets the maximum number of hard messages

  Parameters:
    `maximumHard` - the maximum number of hard messages

### getSoftenWaitMillis

    public long getSoftenWaitMillis()

  Gets the length of time to wait before checking whether we should soften

  Returns:
    the time to wait

### setSoftenWaitMillis

    public void setSoftenWaitMillis(long millis)

  Sets the length of time to wait before checking whether we should soften

  Parameters:
    `millis` - the time to wait in millis

### getSoftenNoMoreOftenThanMillis

    public long getSoftenNoMoreOftenThanMillis()

  Gets the minimum length between softening checks

  Returns:
    the time to wait

### setSoftenNoMoreOftenThanMillis

    public void setSoftenNoMoreOftenThanMillis(long millis)

  Sets the minimum length between softening checks

### getSoftenAtLeastEveryMillis

    public long getSoftenAtLeastEveryMillis()

  Gets the maximum length between softening checks

  Returns:
    the time

### setSoftenAtLeastEveryMillis

    public void setSoftenAtLeastEveryMillis(long millis)

  Sets the minimum length between softening checks

### getHighMemoryMark

    public long getHighMemoryMark()

  Gets the highMemoryMark

  Returns:
    Returns a long

### setHighMemoryMark

    public void setHighMemoryMark(long highMemoryMark)

  Sets the highMemoryMark

  Parameters:
    `highMemoryMark` - The highMemoryMark to set

### getMaxMemoryMark

    public long getMaxMemoryMark()

  Gets the maxMemoryMark

  Returns:
    Returns a long

### setMaxMemoryMark

    public void setMaxMemoryMark(long maxMemoryMark)

  Sets the maxMemoryMark

  Parameters:
    `maxMemoryMark` - The maxMemoryMark to set

### getCurrentMemoryUsage

    public long getCurrentMemoryUsage()

  Gets the CurrentMemoryUsage

  Returns:
    Returns a long

### setCacheStore

    public void setCacheStore(javax.management.ObjectName cacheStoreName)

### getCacheStore

    public javax.management.ObjectName getCacheStore()

  The `getCacheStore` method

  Returns:
    an `ObjectName` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.